// @file
// Custom sass mixins
//
// Define the custom mixins for your project here.
// http://sass-lang.com/docs/yardoc/file.SASS_REFERENCE.html#defining_a_mixin


// -----------------------------------------------------------------------------
//                                                  Default Zen Mixins

// Makes an element visually hidden, but accessible.
// @see http://snook.ca/archives/html_and_css/hiding-content-for-accessibility

// Used by buttons, tabs, and menu links.
@mixin pointer-target {
  font-size: 0.9em;
  padding: $pointer_target-padding;
  display: inline-block;
  text-decoration: none;
  font-weight: 600;
}


// Navigation
@mixin menu-vertical {
  li {
    display: block;

    a {
      text-align: left;
    }
  }
}
@mixin menu-horizontal {
  display: flex;
  li {
    position: relative;
    // display: table-cell;
    flex: 1 1 auto;

    a {
      // text-align: center;
    }
  }
  // .menu {
  //   position: absolute;
  // }
}



// This is a modern replacement for 'clearfix'
@mixin group {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}

// form label dodhe
@mixin form-label-dodge {
  .form-item {
    position: relative;
    padding-top: 1em;
    box-sizing: border-box;
  }
  .form-type-textarea {
      width: 100% !important;
  }
  label {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #b4b3b1;
    font-size: 2em;
    font-weight: 300;
    left: 20px;
    transition: all 0.2s ease;

    @media all and (max-width: 500px)  {
      font-size: 1.2em;
    }
  }
  
  .focussed > label,
  .has-content > label {
    top: 25%;
    font-size: 1em;
    color: #574d4d;
    color: lighten($colour-text-body, 10%);
  }
}


@mixin range-thum {

  width: 15px;
  height: 15px;
  background: #192c36;
  cursor: pointer;
  border-radius: 50%;
}

